package org.ugasp.protocol.rmai;


import java.util.ArrayList;

/**
 * This interface ensures a link between a String representation of a method name and
 * an Object[] representing parameters, to facilitate dynamic invocation of method. 
 *
 */
public interface InvokedMethod {

	
	public String getMethodName();
	
	public void setMethodName(String methodName);
	
	
	public Object[] getParameters();
	
	public void setParameters(ArrayList<Object> parameters);
	
	/**
	 * Get an array of classes representing the types of this InvokedMethod parameters.
	 * This method is needed to provide the suitable arguments to the Method class, in order to invoke
	 * the required method.
	 * @return Class[]	a Class array matching with parameters
	 * 					Example: 
	 * 					Object[] parameters = {"hello",2,true} return
	 * 					Class[] types ={String,Integer,Boolean)
	 * 								
	 */
	public Class[] getParametersTypes();
}
