package org.ugasp.protocol.rmai;


import java.io.IOException;
import org.xmlpull.v1.XmlSerializer;

/**
 * This interface is used to serialize an array of Object into an XML serializer.
 */
public interface RMAICommon {

	/**
	 * Sets custom RMAISerializer serializer (in case when server doesn't support
	 * standard XMLRPC protocol)
	 * 
	 * @param serializer custom serializer
	 */
	void setRMAISerializer(RMAISerializer serializer);
	
	
	XmlSerializer getXmlSerializer();
	
	
	RMAISerializer getRMAISerializer();
			
	
	void serializeParams(Object[] params) throws Exception, IllegalArgumentException, IllegalStateException, IOException;
	
	
}
